LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08636Bug reports[All Projects] Otherpublic2014-01-30 18:442014-02-04 13:32
Reporterriqcles 
Assigned ToDenisChenu 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.05+ 
Summary08636: Templates and admin interface - Internet Explorer 9
DescriptionThe display of a questionnaire using the templates in IE9 is not aligned correctly.

Following the advice DenisChenu, I link with the following Mantis:
http://bugs.limesurvey.org/view.php?id=8325 [^]

After our discussion forum FR:


https://www.limesurvey.org/fr/forum/french-forum/95830-ie-9-mode-i9-et-normes-ie9-d%C3%A9calage-du-texte-quelques-soit-le-template [^]

The problem also affects the administration part.



Steps To Reproduce
Create a questionnaire with a question type Multiple short text
Run the questionnaire in Internet Explorer 9

Text and areas are not properly aligned.

Use the developer mode (press F12)
Additional InformationTo solve the problem:

Add the tag
<meta http-equiv="X-UA-Compatible" content="IE=edge"/>

in the following files:

Templates for each
   startpage.pstpl

For the admin part:

application / views / admin / super / header.php

(thank you DenisChenu) :)

I added the screen before and after the modification catches.

We can also see that the template changes color between IE9 and IE7 standards.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDVersion 2.00+ Build 131107
BrowserInternet Explorer 9
Database & DB-VersionPostgresql
Operating System (Server)EasyPHP & CentOS
Webserver software & versionApache 2.2
PHP Version5.3
Attached Fileszip file icon Captures_ecrans.zip [^] (50,791 bytes) 2014-01-30 18:44
png file icon survey_OK_see_debug.png [^] (29,958 bytes) 2014-02-03 12:13

- Relationships
related to 08325closedDenisChenu Part of long text is hidden in Ranking form (MS Internet Explorer) 
related to 08635closedDenisChenu Adding answer options impossible in IE9 

-  Notes
User avatar (28376)
DenisChenu (developer)
2014-02-01 17:00

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13811 [^]
User avatar (28379)
DenisChenu (developer)
2014-02-01 17:02

@riqcles : can you confirm it's OK with this line:
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge" /><![endif]-->
For your IE

Can you confirm too for 08635 and 08325

Denis
User avatar (28390)
riqcles (reporter)
2014-02-02 01:46

see it on monday:)
User avatar (28436)
riqcles (reporter)
2014-02-03 12:13

Ok for 08635 and 08325 (add a capture)


Resolve :)
User avatar (28438)
DenisChenu (developer)
2014-02-03 12:32

Thanks @riqcles
User avatar (28503)
c_schmitz (administrator)
2014-02-04 13:32

Version 2.05+ Build 140204 released

- Related Changesets
LimeSurvey: master bb0a1b29
Timestamp: 2014-02-01 15:59:56
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Fixed issue 08636 : Deactivate IE compatibility view on Admin and public template
Dev: X-UA-Compatible edge to be sure to use last for all IE
Dev: To be confirmed : fix 08325: Part of long text is hidden in Ranking form (MS Internet Explorer)
Dev: to be confirmed : fix 08635: Adding answer options impossible in IE9
mod - application/views/admin/super/header.php Diff ] File ]
mod - application/views/layouts/main.php Diff ] File ]
mod - templates/basic/startpage.pstpl Diff ] File ]
mod - templates/bluengrey/startpage.pstpl Diff ] File ]
mod - templates/citronade/startpage.pstpl Diff ] File ]
mod - templates/clear_logo/startpage.pstpl Diff ] File ]
mod - templates/default/startpage.pstpl Diff ] File ]
mod - templates/eirenicon/startpage.pstpl Diff ] File ]
mod - templates/limespired/startpage.pstpl Diff ] File ]
mod - templates/mint_idea/startpage.pstpl Diff ] File ]
mod - templates/sherpa/startpage.pstpl Diff ] File ]
mod - templates/vallendar/startpage.pstpl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-30 18:44 riqcles New Issue
2014-01-30 18:44 riqcles File Added: Captures_ecrans.zip
2014-01-31 15:48 DenisChenu Relationship added related to 08325
2014-01-31 16:33 DenisChenu Assigned To => DenisChenu
2014-01-31 16:33 DenisChenu Status new => assigned
2014-02-01 14:44 DenisChenu Relationship added related to 08635
2014-02-01 17:00 DenisChenu Changeset attached => LimeSurvey master bb0a1b29
2014-02-01 17:00 DenisChenu Note Added: 28376
2014-02-01 17:00 DenisChenu Resolution open => fixed
2014-02-01 17:02 DenisChenu Note Added: 28379
2014-02-01 17:02 DenisChenu Status assigned => feedback
2014-02-02 01:46 riqcles Note Added: 28390
2014-02-02 01:46 riqcles Status feedback => assigned
2014-02-03 12:13 riqcles File Added: survey_OK_see_debug.png
2014-02-03 12:13 riqcles Note Added: 28436
2014-02-03 12:32 DenisChenu Note Added: 28438
2014-02-03 12:32 DenisChenu Status assigned => resolved
2014-02-03 12:32 DenisChenu Fixed in Version => 2.05+
2014-02-04 13:32 c_schmitz Note Added: 28503
2014-02-04 13:32 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker